=== contribs/gplpcsc/Makefile ===
MUSCLE_HDRS = -I/usr/local/include
MUSCLE_LIBS = -L/usr/local/lib -lpcsclite -lcrypto -lpthread

CFLAGS='-Wall -g $(MUSCLE_HDRS)'
LFLAGS='$(MUSCLE_LIBS)'

EXECS = testapdu

all: $(EXECS)


pcsc/muscle_c.o: pcsc/muscle_c.c
	gplc -c -C $(CFLAGS)  pcsc/muscle_c.c


testapdu: testapdu.pl pcsc/muscle_c.o
	gplc -o testapdu pcsc/muscle_c.o  -L $(LFLAGS)  testapdu.pl util_pcsc/util.pl

clean:
	rm -f $(EXECS) ; find . -name '*~' | xargs rm -f

cleanlib:
	find . -name *.o | xargs rm -f
 
fresh: clean $(EXECS)
