=== src/src/Win32/Makefile ===
NAME=$(shell cut -d - -f 1 ../VERSION)
VERSION=$(shell cut -d - -f 2 ../VERSION)
PKG_NAME=$(shell cat ../VERSION)

# this name is used in gp-setup.iss
TMPDIR=/tmp/gprolog_win32
WINTMPDIR=$(shell cygpath -a -w $(TMPDIR))

ISCC="/cygdrive/c/Program Files/Inno Setup 2/ISCC.exe"
#ISCC="/cygdrive/c/Program Files/Inno Setup 2/compil32.exe" /cc

create_bat.exe: create_bat.c
	cl /O2 /GX create_bat.c

compile: ../$(PKG_NAME).tar.gz
	cp ../$(PKG_NAME).tar.gz /tmp
	(cd /tmp; tar xfz $(PKG_NAME).tar.gz)
	compile_install /tmp/$(PKG_NAME)/src $(TMPDIR)


compile-link:
	compile_install .. $(TMPDIR)


setup: compile create-setup


setup-link: compile-link create-setup


create-setup: create_bat.exe gp-setup.iss
	cp create_bat.exe $(TMPDIR)/bin
	$(ISCC) gp-setup.iss

gp-setup.iss: initial.iss ../VERSION
	sed -e 's!@VERSION@!$(VERSION)!g' initial.iss | ./addcrlf >gp-setup.iss


../$(PKG_NAME).tar.gz:
	(cd ..; make dist)

clean:
