=== debian/changelog ===
gprolog (1.3.0-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with PIE enabled (Closes: #837487).
  * Drop the menu file.
  * Add powerpcspe to the arch list (Closes: #731674).
  * Fix texlive B-D and move them to B-D-Indep (Closes: #462668).
  * Enable compiling with -g.
  * Use ${misc:Depends}.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 02 Dec 2016 00:22:48 +0500

gprolog (1.3.0-6.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)" due to patch.
  * debian/patches
    - (Number 10): Add patch to fix latex error. Patch thanks to Ilya
      Barygin <barygin@gmail.com>
      https://launchpad.net/ubuntu/+source/gprolog/1.3.0-6ubuntu1
      (RC bug FTBFS serious; Closes: #562394).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 17 Mar 2010 00:53:43 +0200

gprolog (1.3.0-6) unstable; urgency=low

  * revert to regular gcc: 4.2 (closes: #463289)
  * debian/rules: get rid of bashisms (closes: #478390)
  * src/EnginePl/machine.c: don't include <asm/sigcontext.h>; thanks to
    Sebastian Bober <sbober@servercare.de> (closes: #456842, #442980)

 -- Salvador Abreu <spa@debian.org>  Thu, 08 May 2008 15:54:02 +0100

gprolog (1.3.0-5) unstable; urgency=low

  * src/configure.in: recognize sparc-linux!
  * debian/changelog: back to plain ASCII...

 -- Salvador Abreu <spa@debian.org>  Sat, 08 Dec 2007 20:11:48 +0000

gprolog (1.3.0-4) unstable; urgency=low

  * Work on mips/mipsel again (closes: #448952); patch courtesy of Thiemo
    Seufer <ths@networkno.de>
  * Convert changelog, etc. to UTF-8 (closes: #453994, #454012)
  * EnginePL/wam_inst.h: correctly type destructor callback for use by C++
    programs (closes: #452958)
  * Revert to the default GCC (4.1) because 4.2 doesn't seem to be
    up-to-date on several architectures...  eventually this will allow
    gprolog to migrate to testing.
  * Re-close erroneously reopened bugs (closes: #397294, #412671)
  * Remove silly menu entry for gprolog top-level shell
  * Don't compress PDF manual
  * Make lintian (a little bit) happier ;-)

 -- Salvador Abreu <spa@debian.org>  Thu, 06 Dec 2007 10:30:41 +0000

gprolog (1.3.0-3) unstable; urgency=low

  * Even more dependencies on texlive packages: now include texlive-full
    in the hope it will be enough (closes: #421247).
  * use gcc-4.2

 -- Salvador Abreu <spa@debian.org>  Sun, 20 May 2007 23:35:14 +0100

gprolog (1.3.0-2) unstable; urgency=low

  * Depend on texlive-latex-recommended: needed to build docs.

 -- Salvador Abreu <spa@debian.org>  Thu, 26 Apr 2007 12:03:38 +0100

gprolog (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Remove Homepage: headers from debian/control (closes: #412671)
  * Include dvi & ps doc generation patch by Frank Kuester
    <frank@debian.org> (closes: #397294)
  * Depend on some texlive packages, such as texlive-extra-utils, instead
    of the old tetex ones (closes: #420335)
  * Reset compilation flags to be less pessimistic (back to using -O3)
  * Adapt to shallower directory scheme (not based on sourceforge.net
    version anymore)

 -- Salvador Abreu <spa@debian.org>  Wed, 25 Apr 2007 00:32:13 +0100

gprolog (1.2.18-17) unstable; urgency=low

  * Fix non-ascii character in doc/use.tex; this only seems to be a
    problem with more recent versions of hevea.  (closes: #397135)
  * Fix unaligned access on amd64.  This is done in a way which I'd rather
    not have to confess: I had GCC produce assembly code, which is then
    patched via a sed script before being fed to as.  Thanks to
    ramune@net-ronin.org for pointing out the location of the problem.
    (closes: #356406)
  * Fixed a few things in order to be able to use more recent versions of
    gcc, most notably casts in lvalues.  As of now, gcc 4.1 can be used to
    compile gprolog!
  * Doesn't leave anything in /etc/alternatives nor /usr/bin after being
    purged.  (closes: #358256)

 -- Salvador Abreu <spa@debian.org>  Mon,  6 Nov 2006 10:40:23 +0000

gprolog (1.2.18-16) unstable; urgency=low

  * touch all *.wam files to ensure buildds don't get mixed up about .pl
    and .wam having similar modification times.  Was having trouble with
    just about all of them.

 -- Salvador Abreu <spa@debian.org>  Tue,  1 Nov 2005 08:15:20 +0000

gprolog (1.2.18-15) unstable; urgency=low

  * include mips and mipsel in Architecture: in debian/control, as the
    built-in support for MIPS has been extended for Linux, courtesy of
    Thiemo Seufer <ths@networkno.de> (closes: #272829).

 -- Salvador Abreu <spa@debian.org>  Mon, 31 Oct 2005 10:15:57 +0000

gprolog (1.2.18-14) unstable; urgency=low

  * enforce gcc version 3.3, as it's the "last known good" version for
    gprolog (closes: #323528).

 -- Salvador Abreu <spa@debian.org>  Wed, 17 Aug 2005 09:31:14 +0100

gprolog (1.2.18-13) unstable; urgency=low

  * don't use "-nosymb" to deal with recent versions of hevea: 1.07 and
    later (closes: #321977)
  * acknowledge NMUs by Steve Langasek (closes: #271399)

 -- Salvador Abreu <spa@debian.org>  Mon, 15 Aug 2005 12:51:59 +0100

gprolog (1.2.18-12) unstable; urgency=low

  * The "attempt to be free from x86" release... ;-)
  * Acknowledge NMUs (1.2.18-11.1 and -11.2).
  * debian/rules: removed bashisms (closes: #265032).  Thanks Roland
    Stigge <stigge@antcom.de>
  * debian/menu: use gprolog-iso instead of gprolog (alternative) to
    satisfy lintian.
  * src/src/Ma2Asm/powerpc_any.c: fix duplicate patch (same problem as
    fixed in 1.2.18-10 for amd64)
  * src/src/Ma2Asm/ma2asm_inst.c: try to ignore OS for mips architecture.
  * Hopefully this version might finally make it into testing, now that
    it's no longer considered x86-only (it was being held because the
    buildds weren't taking it and yet there were old alpha and sparc
    versions lying around), so I'm closing the can't-build for sarge,
    which applied to a very old version (closes: #268671).


