=== debian/control ===
Source: gprolog
Section: devel
Priority: optional
Maintainer: Salvador Abreu <spa@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5), autoconf (>= 2.52), gcc (>> 4.2), autotools-dev
Build-Depends-Indep: imagemagick, gsfonts, texlive-latex-recommended,
 texlive-latex-extra, texlive-font-utils, hevea (>= 1.09)

Package: gprolog
Architecture: i386 amd64 sparc mips mipsel alpha powerpc powerpcspe
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gprolog-doc
Conflicts: 
Description: GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over finite
 domains (FD) developed at INRIA by Daniel Diaz.  GNU Prolog is based on two
 systems developed by the same author (with lot of code rewriting and a lot of
 new extensions): wamcc and clp(FD).  Much work has been devoted to make it
 ISO compatible, full compliance being one of its goals.
 .
 This package contains the compiler and runtime system for the ISO
 standard version of GNU Prolog.

Package: gprolog-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: gprolog (<< 1.2.7)
Recommends: xpdf | pdf-viewer, w3m | www-browser
Description: documentation for the GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD) developed at INRIA by Daniel Diaz.
 .
 This package contains the documentation (both PDF and HTML) for GNU
 Prolog.
